> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/2.-query-get-fields.md).

# 2. Query: Get "Fields"

A simple example of a "Fields" query that retrieves the area in hectares.

{% hint style="info" %}
"Field" area unit could be one of the following: `ACRES` or `HECTARES` or `SQUARE_METERS`.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldInHectares {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    userUuid
    name
    fields {
      uuid
      name
      area(unit: HECTARES)
    }
  }
}
```

{% endcode %}

{% hint style="info" %}
A more detailed example, including pagination and filtering capabilities, is described in [43: Query Get "Fields"](/geopard-tutorials/api-docs/geopard-api-requests-overview/43.-query-get-fields.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/2.-query-get-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
